﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace BarclaysCapital.CR.PDC.Margin
{
    public class CallAndAlertManagerData
    {
        public class Call
        {
            public string MyProp1
            {
                get
                {
                    return "Prop1Value";
                }
            }

            public string MyProp2
            {
                get
                {
                    return "Prop2Value";
                }
            }
        };

        public class Alert
        {
            public string MyProp1
            {
                get
                {
                    return "Prop1Value";
                }
            }

            public string MyProp2
            {
                get
                {
                    return "Prop2Value";
                }
            }
        };

        public CallAndAlertManagerData()
        {
            CallList = new BindingList<Call>();
            AlertList = new BindingList<Alert>();
            CallList.Add(new Call());
            CallList.Add(new Call());
            CallList.Add(new Call());
            AlertList.Add(new Alert());
            AlertList.Add(new Alert());
            AlertList.Add(new Alert());
        }

        public BindingList<Call> CallList { get; private set; }

        public BindingList<Alert> AlertList { get; private set; }
    }
}
